/* 
======================================================================
   COMPONENTS OVERRIDES

======================================================================
*/

/* HERO CAROUSEL ====================== */
.carousel-slide picture :before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background: rgb(0 0 0 / 20%);
    pointer-events: none;
}

.container-slide-info {
    z-index: 1;
}

/* CUSTOM CHECKLIST  ====================== */

.check-list {
  list-style: none; /* rimuove i bullet standard */
  padding-left: 0;
  display: grid;
  grid-template-columns: 1fr;  /* una colonna su mobile */
  gap: 20px; /* spazio tra gli elementi */
}

@media (min-width: 700px) {
  .check-list {
    grid-template-columns: 1fr 1fr;
  }
}

.check-list li {
  position: relative;
  padding-left: 45px; /* spazio per l’icona */
  /* font-weight: bold; */
  line-height: 1.4;
  /* display: flex; */
  align-items: center;
  margin: auto 0;
}

.check-list li::before {
  content: "";
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%); /* centra verticalmente l’icona */
  width: 40px;
  height: 40px;
  background-image: var(--csm-check-circle-fill-blue);
  background-size: contain;
  background-repeat: no-repeat;
}


/* CARD DISPLAYER  ====================== */
.subtitle-card-displayer-container {
    padding-top: 10px;
    font-size: var(--text-m);
}

.pimcore_area_card-displayer .title-card-displayer-container {
    font-size: var(--text-xxxm);
}

.grid-displayer{
    gap: 30px
}

a.card-displayer-card-link-item {
    color: var(--color-text-grey);
    text-decoration: none;
}

a.card-displayer-card-link-item:hover {
    text-decoration: underline;
}

.card-displayer-card-links {
  list-style: none;
  padding-top: 0;
  padding-left: 0;
  margin: 0;
}

.card-displayer-card-link {
    line-height: 16px;
}

.card-displayer-card-link-item {
  display: inline-flex;
  align-items: center;
  gap: 8px;
  text-decoration: none;
}

.card-displayer-card-link-item::before {
  content: "";
  width: 15px;
  height: 15px;
  flex: 0 0 15px;
  background-image: var(--csm-chevron-black);
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
  transition: transform 0.2s ease;
}

.card-displayer-card-link-item:hover::before {
  transform: translateX(4px);
}


h3.card-displayer-card-title {
    font-family: var(--font-frutiger-bold);
    font-size: var(--text-xm);
}


/* DESCRIPTION BANNER =============*/
.description-banner .description, .description-banner a {
    color: var(--color-text-grey);
}



/* TITLE BANNER ==================*/
.title-banner a {
    color: black;
    font-weight: bold;
}


/* HISTORY =======================*/
.history-timeline .content-info .scroller {
    gap: 6px;
}

.history a {
    color: black;
    text-decoration: none;
    font-weight: bold;
}



/* PARALLAX ======================*/
.parallax-card-list.generic-section {
    padding: 50px 0;
}



/* BANNER ========================*/
.pimcore_area_banner.pimcore_area_content {
    margin-bottom: 80px;
}



/* FEATURE TABLE ===================================== */

.feature-table-text-icon-row {
    flex-direction: column;
}

.feature-table-text-row {
    width: 90%;
}

.feature-table-title-row {
    color: var(--color-primary-blue);
}

.feature-table-description-link-row {
    width: 75%;
}



.feature-table-title-page {
    font-size: var(--text-xl);
}

.feature-table-subtitle-page {
    margin: 30px 0;
}

.feature-table-icon-text-row {
    font-weight: bold;
    font-size: var(--text-xxs);
    align-items: center;
}

.feature-table-subtitle-row {
    font-weight: bold;
    font-size: var(--text-xxs);
}

.feature-table-description-row {
    font-size: var(--text-xxs);
    margin-top: auto;
    padding-right: 8px;
}

.feature-table-link-row a{
    width: 30px;
}

.feature-table-description-link-row {
    align-items: center;
}
